Package be.ehealth.business.mycarenetcommons.v4.mapper

# Class CommonInputMapperImpl

java.lang.Object
be.ehealth.business.mycarenetcommons.v4.mapper.CommonInputMapper
be.ehealth.business.mycarenetcommons.v4.mapper.CommonInputMapperImpl

@Generated(value="org.mapstruct.ap.MappingProcessor", date="2025-09-16T20:24:58+0200", comments="version: 1.6.3, compiler: javac, environment: Java 21.0.7 (Eclipse Adoptium)") public class CommonInputMapperImpl extends CommonInputMapper

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommonInputMapperImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AttributeType`
  `map(Attribute input)`
  `CareProviderType`
  `map(CareProvider input)`
  `CommonInputType`
  `map(CommonInput input)`
  `IdType`
  `map(Identification input)`
  `NihiiType`
  `map(Nihii input)`
  `OriginType`
  `map(Origin input)`
  `PartyType`
  `map(Party input)`
  `ReferenceType`
  `map(Reference input)`
  `PackageType`
  `map(PackageInfo input)`

  ### Methods inherited from class be.ehealth.business.mycarenetcommons.v4.mapper.CommonInputMapper

  `doAfterMapping, doAfterMapping, doAfterMapping, doAfterMapping`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CommonInputMapperImpl

    public CommonInputMapperImpl()

- ## Method Details

  - ### map

    public CommonInputType map(CommonInput input)
    Specified by:
      `map` in class `CommonInputMapper`

  - ### map

    public OriginType map(Origin input)
    Specified by:
      `map` in class `CommonInputMapper`

  - ### map

    public PackageType map(PackageInfo input)
    Specified by:
      `map` in class `CommonInputMapper`

  - ### map

    public CareProviderType map(CareProvider input)
    Specified by:
      `map` in class `CommonInputMapper`

  - ### map

    public NihiiType map(Nihii input)
    Specified by:
      `map` in class `CommonInputMapper`

  - ### map

    public IdType map(Identification input)
    Specified by:
      `map` in class `CommonInputMapper`

  - ### map

    public PartyType map(Party input)
    Specified by:
      `map` in class `CommonInputMapper`

  - ### map

    public ReferenceType map(Reference input)
    Specified by:
      `map` in class `CommonInputMapper`

  - ### map

    public AttributeType map(Attribute input)
    Specified by:
      `map` in class `CommonInputMapper`